package cn.jisol.game.mapper;

import cn.jisol.game.entity.game.Player;
import cn.jisol.game.entity.mode.ModeOnHook;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface ModeOnHookMapper extends BaseMapper<ModeOnHook> {

    //排行榜
    @Select("SELECT * FROM mode_on_hook ORDER BY JSON_EXTRACT(on_hook_info, CONCAT('$.maps.\"',#{mapId},'\"')) DESC LIMIT 10;")
    List<ModeOnHook> onRankings(@Param("mapId") String mapId);

}